List accounts
curl --request GET \
--url https://app.forecastable.com/api/v1/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.forecastable.com/api/v1/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.forecastable.com/api/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"website": "<string>",
"domains": [
"<string>"
],
"keywords": [
"<string>"
],
"tags": [
"<string>"
],
"description": "<string>",
"imageUrl": "<string>",
"sfdcId": "<string>",
"salesforceUrl": "<string>",
"sfdcAccountType": "<string>",
"accountStatus": "<string>",
"relationshipStatus": "<string>",
"annualRevenue": 123,
"stockSymbol": "<string>",
"linkedinUrl": "<string>",
"twitterUrl": "<string>",
"internalOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sf24Sync": true
}
],
"pagination": {
"hasNextPage": true,
"totalCount": 1,
"nextCursor": "<string>",
"page": 2,
"pageSize": 2,
"totalPages": 2
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Accounts
List accounts
GET
/
accounts
List accounts
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Required range:
1 <= x <= 200Required range:
x >= 1Required range:
1 <= x <= 200Available options:
asc, desc Was this page helpful?
⌘I